%global octpkg struct

Name:           octave-%{octpkg}
Version:        1.0.10
Release:        3%{?dist}
Summary:        Structure handling for Octave
Group:          Applications/Engineering
License:        GPLv3+
URL:            http://octave.sourceforge.net/struct/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
# avoid stripping binaries to get useful debuginfo packages
# fedora specific - not upstreamed
Patch0:         %{name}-nostrip.patch

BuildRequires:  octave-devel 

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave

Obsoletes:      octave-forge <= 20090607


%description
Octave includes support for organizing data in structures. This package
contains additional data structure manipulation functions that are not
included in the octave core.

%prep
%setup -q -n %{octpkg}-%{version}
%patch0 -p0 -b .nostrip

%build
%octave_pkg_build

%install
rm -rf %{buildroot}
%octave_pkg_install

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%defattr(-,root,root,-)

%dir %{octpkgdir}
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/packinfo
%doc %{octpkgdir}/packinfo/COPYING
%{octpkglibdir}

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun  5 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.0.10-1
- update to 1.0.10

* Mon Jan 16 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.0.9-7
- rebuild for octave 3.6.0

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Aug 16 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0.9-5
- Bump spec since buildroot override was not in place.

* Mon Aug 15 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0.9-4
- Comply to Octave Packaging Guidelines by requiring exact version of
  octave(api).

* Mon Jun 13 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> 1.0.9-3
- Add comment regarding patch purpose

* Mon Jun 13 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> 1.0.9-2
- Review input

* Fri Jun 03 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> 1.0.9-1
- initial package for Fedora
